TYPO3 Version: 6.2
Subject: Reduce the number of backend script entry points
Description

The entry points are listed here: http://forge.typo3.org/projects/typo3v4-bootstrap/wiki/List_of_entry_points

Goal is to reduce them to the absolute minum. Entry points which are used to change data should have highest priority.

    -  Move all wizards to mod.php (has to be checked with #55509 for conflicting strategy)
        -  Backwards compatibility should be guaranteed if possible
    -  Check if clickmenues can be moved to mod.php
    -  Check other entrypoints for possible migration to mod.php

Subtasks:
Task # 55668: cms/layout entry scripts cleanup Resolved
Task # 55669: form sysext entry script cleanup Resolved
Task # 55670: func entry script cleanup Resolved
Task # 55671: impexp entry script cleanup Resolved
Task # 55672: info entry script cleanup Resolved
  Task # 55796: Adjust indexed seach submodules of web_info to mod dispatcher Resolved
  Task # 55797: Use mod dispatch on indexed search submodules for web_info Resolved
Task # 55673: openid entry script cleanup Rejected
Task # 55674: rtehtmlarea entry scripts cleanup Resolved
Task # 55675: version entry script cleanup Resolved
Task # 55676: t3editor wizard inclusion cleanup Resolved
Task # 55809: Compat layer for submodules using index.php Resolved
  Task # 56631: Remove Compat layer for info and function submodules Resolved
Task # 56246: BackenUtility::getModuleUrl should respect old modules (not mod.php style) Rejected
  Task # 56247: Remove all conf.php files and use the BackendUtility::addModule API to ad... Rejected
Task # 56268: Add new way to register a TCA wizard Resolved
Task # 56364: Redirect after switch-to-user broken Resolved
Task # 56272: Use the new way of registering wizards for edit wizard Resolved
Task # 56632: Make show_rechis.php mod.php dispatched Resolved
Task # 56721: ElementBrowser::getThisScript is not public Resolved

History
#1 - 2014-02-02 14:23 - Ingo Schmitt
- Assigned To set to Anja Leichsenring

#2 - 2014-02-02 14:24 - Ingo Schmitt
- Tracker changed from Bug to Story
#3 - 2015-04-02 10:57 - Helmut Hummel
- Status changed from Accepted to Resolved

all child tasks resolved
